<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 13</a>

    <script>

        const desconcatenarDoc = (s1, s2) =>{

            let res = "";
            let m = new Map();

            for (let i = 0; i < s2.length; i++) {
                m.set(s2[i],1);
            }
 
            for (let i = 0; i < s1.length; i++) {

                if (m.has(s1[i]) == false) {
                    res += s1[i];
                } else {
                    m.set(s1[i] , 2);
                }
            }
 
            for (let i = 0; i < s2.length; i++) {

                if (m.get(s2[i]) == 1) {
                    res += s2[i];
                }
            }
            return res;
        }

        let s1 = "abcs";
        let s2 = "cxzca";
        console.log(desconcatenarDoc(s1, s2));

    </script>
    
</body>
</html>